Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::StringStream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::TellStream.

## Public Member Functions

| StringStream (String &string)
virtual void | putChar (char ch)
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
virtual long | tell () const

## Detailed Description

Stream writing into an String.

## Constructor & Destructor Documentation

StringStream::StringStream | ( | String & | string | ) |

Construct with string reference.

## Member Function Documentation

void StringStream::putChar | ( | char | ch | ) |

virtual

Output character.

Implements ipe::Stream.

void StringStream::putString | ( | String | s | ) |

virtual

Output string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

void StringStream::putCString | ( | const char * | s | ) |

virtual

Output C string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

void StringStream::putRaw | ( | const char * | data,
|  | int | size
| ) |  |

virtual

Output raw character data.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

long StringStream::tell | ( |  | ) | const

virtual

Implements ipe::TellStream.

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp